local RayUI, E, _, V, P, g = unpack(select(2, ...))
local RUF = RayUI:GetModule('RayUIUnitframes')
local UF = E.UnitFrames

--Cache global variables
--Lua functions
--WoW API / Variables
local hooksecurefunc, pairs = hooksecurefunc, pairs
-- GLOBALS:

function RUF:Configure_HealthBar(frame)
	if frame.Health and not frame.Health.gradient then
		frame.Health.gradient = frame.Health:CreateTexture(nil, "OVERLAY", nil, 1)
		frame.Health.gradient:SetAllPoints(frame.Health)
		frame.Health.gradient:SetTexture(E.Libs.LSM:Fetch("statusbar", "RayUINormal"))
		frame.Health.gradient:SetGradientAlpha("VERTICAL", .2, .2, .2, .15, .25, .25, .25, .6)
	end

	if UF.db.colors.healthclass or UF.db.colors.transparentHealth then
		frame.Health.gradient:Hide()
	else
		frame.Health.gradient:Show()
	end

	-- if UF.db.colors.transparentHealth then
		-- frame.Health.gradient:SetGradientAlpha("VERTICAL", .3, .3, .3, .6, .1, .1, .1, .6)
	-- else
		-- frame.Health.gradient:SetGradientAlpha("VERTICAL", .2, .2, .2, 0, .25, .25, .25, .6)
	-- end
end

function RUF:LoadHealth()
	if E.private.unitframe.enable ~= true then return end

	hooksecurefunc(UF, "Configure_HealthBar", RUF.Configure_HealthBar)
	for statusbar in pairs(UF.statusbars) do
		-- if statusbar.bg then
			-- statusbar.bg:SetTexture(E.Libs.LSM:Fetch("statusbar", UF.db.statusbar))
		-- end
	end
end
